PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zplghe | ( | double | bump,
|  | int | N,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA,
|  | unsigned long long int | seed
| ) |  |

PLASMA_zplghe - Generate a random hermitian matrix by tiles.

Parameters

  [in] | bump | The value to add to the diagonal to be sure to have a positive definite matrix.
  [in] | N | The order of the matrix A. N >= 0.
  [out] | A | On exit, The random hermitian matrix A generated.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [in] | seed | The seed used in the random generation.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_zplghe_Tile
  PLASMA_zplghe_Tile_Async
  PLASMA_cplghe
  PLASMA_dplghe
  PLASMA_splghe
  PLASMA_zplrnt
  PLASMA_zplgsy